org.apache.fop.util.bitmap

## Interface MonochromeBitmapConverter

All Known Implementing Classes:
  DefaultMonochromeBitmapConverter, JAIMonochromeBitmapConverter

    public interface MonochromeBitmapConverter

Interface for converters that convert images to monochrome (1-bit, bi-level) bitmap images.

### Method Summary

All Methods Instance Methods Abstract Methods
`RenderedImage` `convertToMonochrome(BufferedImage img)` Converts a bitmap image to a monochrome (1-bit) b/w bitmap image.
`void` `setHint(String name, String value)` Sets a hint to the implementation

### Method Detail

#### setHint

    void setHint(String name,
                 String value)

Sets a hint to the implementation

Parameters:
  `name` - the name of the hint
  `value` - the value

#### convertToMonochrome

    RenderedImage convertToMonochrome(BufferedImage img)

Converts a bitmap image to a monochrome (1-bit) b/w bitmap image.

Parameters:
  `img` - the original image
Returns:
  the converted monochrome image